Update an OAuth client
Update an existing OAuth client. Any change will trigger token validation with the OAuth server.
Requires admin or owner role permissions.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Test a webhook subscription POST
Test a webhook subscription. Fires a test event against the webhook subscription. If properly configured, this will deliver the `pagey.ping` webhook event to the destination. Scoped OAuth requires: `webhook_subscriptions.write`
Update a webhook subscription PUT
Updates an existing webhook subscription. Only the fields being updated need to be included on the request. This operation does not support updating the `delivery_method` of the webhook subscription. Scoped OAuth requires: `webhook_subscriptions.write`